Skip to main content
GET
/
datasets
/
cURL
curl --request GET \
  --url https://api.cartesia.ai/datasets/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Cartesia-Version: <cartesia-version>'
import requests

url = "https://api.cartesia.ai/datasets/"

headers = {
"Cartesia-Version": "<cartesia-version>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'Cartesia-Version': '<cartesia-version>', Authorization: 'Bearer <token>'}
};

fetch('https://api.cartesia.ai/datasets/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "created_at": "<string>",
      "description": "<string>"
    }
  ],
  "has_more": true,
  "next_page": "<string>"
}

Authorizations

Authorization
string
header
required

Cartesia API key (sk_car_...). Get one at play.cartesia.ai/keys.

Headers

Cartesia-Version
enum<string>
default:2026-03-01
required

API version header.

Available options:
2026-03-01
Example:

"2026-03-01"

Query Parameters

limit
integer | null

The number of Datasets to return per page, ranging between 1 and 100.

starting_after
string | null

A cursor to use in pagination. starting_after is a Dataset ID that defines your place in the list. For example, if you make a /datasets request and receive 20 objects, ending with dataset_abc123, your subsequent call can include starting_after=dataset_abc123 to fetch the next page of the list.

ending_before
string | null

A cursor to use in pagination. ending_before is a Dataset ID that defines your place in the list. For example, if you make a /datasets request and receive 20 objects, starting with dataset_abc123, your subsequent call can include ending_before=dataset_abc123 to fetch the previous page of the list.

Response

200 - application/json

Paginated list of datasets

data
Dataset · object[]
required

List of dataset objects

has_more
boolean
required

Whether there are more datasets available

next_page
string | null

An ID that can be passed as starting_after or ending_before to get the next page of data.